<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>CSS Styling Properties and Positioning</title>
</head>
<body>

    <h2>CSS Common Styling</h2>

    <div id="div-1">This is a div</div>
    <!-- span is inline -->
    <span id="span-1">This is a span</span>
    <!-- img is inline-block here -->
    <img src="https://place-puppy.com/450x450 " id="img">
    <span id="span-2">This is a another span</span>
    <div id="div-2">This is another div</div>

    <h3>Notes in block, inline, inline-block</h3>

    <p id="p-1">Block takes uo the whole width by default</p>
    <p id="p-2">width 60</p>
    <p id="p-3">width 40</p>

    <p>
        Even if there is enough space, block element do not sit next to
        each other unless if they are floated.

        Inline Elements are things like bold and italics. You cannot control the 
        height and width of this element.
    </p>

    <p>
        Inline-block can sit on the same line and combines block and inline properties.
        <div class="sample">width = 30</div>
        <div class="sample">width = 30</div>
        <div class="sample">width = 30</div>
    </p>

    <h3>Float</h3>
    <p>
        The float property is used for positioning and formatting content 
        e.g let an image float left oth the text in a container.
    </p>

    <p>
        <img src="https://place-puppy.com/450x450" class="img-float">
        orem jdfh;lkdnvklsdvn;oefvksdnngnuehdvnkslanvuwerhjvnklsdnv
        djfjkdhvkmdsncnidjnvksnv

    </p>
    <hr>

    <h3>CSS Units</h3>
    
    <h4>px vs. %</h4>
    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100px</div>
    <h4>vw vs vh</h4>
    <div class="box fifty-vw">50vw</div>
    <div class="box twenty-five-vh">25vh</div>

    <br>

    <div class="parent">
        <div class="box fifty-percent">50%</div>
        <div class="box one-hundred-pixels">100px</div>
        <div class="box fifty-vw">50vw</div>
        <div class="box twenty-five-vh">25vh</div>
    </div>

    

</body>
</html>